File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
The moose likes Web Services Certification (SCDJWS/OCEJWSD) and the fly likes My SCDJWS Notes available now! Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Certification » Web Services Certification (SCDJWS/OCEJWSD)
Bookmark "My SCDJWS Notes available now!" Watch "My SCDJWS Notes available now!" New topic

My SCDJWS Notes available now!

Watsh Rajneesh
Ranch Hand

Joined: Apr 17, 2006
Posts: 110
Hi All,

My study notes on SCDJWS 1.4 exam is now available on the SCDJWS Links page. You can also access it at this url.

Thanks to Valentin Crettaz for reviewing it and making it available to the community at Javaranch. Hope you may find it useful in your preparation and you can mail me at if you have any feedback.

[ September 27, 2006: Message edited by: Watsh Rajneesh ]

SCJP 5.0 (90%), SCDJWS 1.4 (88%), SCWCD 1.4 (82%), SCBCD 1.3 (85%)
Valentin Crettaz
Gold Digger

Joined: Aug 26, 2001
Posts: 7610
Thanks for contributing, Watsh !

Disclaimer: I have not actually "reviewed" the notes. Instead, I have just gone through them and assessed whether it might be of help to other members of the community. Enjoy !

[Blog] [Blogroll] [My Reviews] My Linked In
Anuj Singhal

Joined: Oct 17, 2003
Posts: 25
Will definitely go through them.

Harsha Jay
Ranch Hand

Joined: Jul 23, 2001
Posts: 177

I must say the notes are great capturing all the key info.

In your notes on page 41 it says

"The VersionMismatch fault applies only to the namespace assigned to the Envelope, Header, Body, and Faultelements. It does not apply to other parts of the SOAP message, like the header blocks, XML document version, or application-specific elements in the Body."

You mention that VersionMismatch fault applies to header element and in the following line you say it does not apply to the header block.

Is my interpretation right or wrong?

please explain

Watsh Rajneesh
Ranch Hand

Joined: Apr 17, 2006
Posts: 110
Hi Harsha,

It means that the VersionMismatchFault is only applicable to the elements as defined by the soap schema (which are Envelope, Body, Header and Fault elements). The header blocks will belong to some schema other than the soap schema. For eg:

As shown above, <mi:message-id> is the header block element where as <soap:Header> is the header element. So if the receiving node say only processes soap 1.2 messages only (ie the namespace for the soap message elements Envelope, Header, Body should be - a soap 1.2 namespace) and the message as shown above is a soap 1.1 message (as identified by the namespace, so the receiving node should generate a VersionMismatchFault in such a case.
I agree. Here's the link:
subject: My SCDJWS Notes available now!
It's not a secret anymore!